# -*- coding: utf-8 -*-

class Arquivo:
    
    def __init__(self):
        
        arquivo = open('dados')
        arquivo = arquivo.readlines()
        
        #-------------RETIRA OS \N DAS LINHAS----------------------
        for i in range(len(arquivo)):
            if '\n' in arquivo[i]:
                arquivo[i] = arquivo[i][:len(arquivo[i]) - 1]
        
        #--------------PEGA OS DADOS DO ARQUIVO--------------------
        self.alfabeto = arquivo[0].split(",")
        self.qtde_estados = int(arquivo[1])
        self.estado_inicial = int(arquivo[2])
        self.estados_finais = []
        for final in arquivo[3].split(","):
            self.estados_finais.append(int(final))
        
        #--------------FAZ A LISTA DE LIGAÇÕES E ADICIONA OS DICIONARIOS--------------------
        self.ligacoes = []
        for i in range(0, self.qtde_estados):
            self.ligacoes.append({})
        
        #-----------------PEGA A LISTA DAS LIGAÇÕES DOS ESTADOS----------------------
        lista_ligacoes = arquivo[4].split("/")
        for transicao in lista_ligacoes:
            transicao = transicao.split("(")
            p1 = transicao[0].split(",")
            direcao = transicao[1].split(",")
            direcao[1] = int(direcao[1])
            direcao[2] = direcao[2][:len(direcao[2])-1] #tira o ')'
            estado_ini = int(p1[0])
            letra_ini = p1[1]
            self.ligacoes[estado_ini][letra_ini] = direcao