# -*- coding: utf-8 -*-
class Automato:
    
    def __init__(self, alfabeto, qtde_estados, estado_inicial, estados_finais, ligacoes):
        self.alfabeto = alfabeto
        alfabeto.append("_")
        alfabeto.append("#")
        self.qtde_estados = qtde_estados
        self.estado_inicial = estado_inicial
        self.estados_finais = estados_finais
        self.ligacoes = ligacoes
    
    def palavra_aceita(self, palavra):
        estado_atual = self.estado_inicial
        i = 1
        while 1:
            if(not self.alfabeto.count(palavra[i]) > 0):
                print "A letra " + palavra[i] + " não pertence ao alfabeto"
                return False
            estado = estado_atual
            try:
                estado_atual = self.ligacoes[estado_atual][palavra[i]][1]
            except KeyError:
                return False
            p = palavra[i]
            pal = palavra
            palavra = palavra[:i] + self.ligacoes[estado][palavra[i]][0] + palavra[i+1:]
            if(p != palavra[i]):
                print pal[:i] + ">" + self.ligacoes[estado][pal[i]][0] + pal[i+1:] + str(i)
            
            if(self.estados_finais.count(estado_atual) > 0):
                break
            if(self.ligacoes[estado][p][2] == 'D'):
                i += 1
            elif(self.ligacoes[estado][p][2] == 'E'):
                i -= 1                
            
        print "Terminou"
        
        palavra_aceita = self.estados_finais.count(estado_atual) > 0
        return palavra_aceita